import { Observable } from 'rxjs';
import { ADObject } from '../model/ad-object';
import { ADObjectWithChildren } from '../model/ad-object-with-children';
import { CleavelandPriceUser } from '../model/cleaveland-price-user';
import { Group } from '../model/group';
import { User } from '../model/user';
import * as i0 from "@angular/core";
export declare class ActiveDirectoryService {
    private config;
    private http;
    private cache?;
    private defaultCacheLifeMinutes;
    private get cacheExpired();
    getUsers(includePhoto?: boolean, includeDisabled?: boolean, parentOU?: string): Observable<CleavelandPriceUser[]>;
    getUser(accountName: string, includePhoto?: boolean): Observable<CleavelandPriceUser>;
    clearCache(): void;
    getDomains(): Observable<ADObject[]>;
    getOUs(parentOU?: string): Observable<ADObjectWithChildren[]>;
    getContainers(parentOU?: string): Observable<ADObjectWithChildren[]>;
    getGroups(parentOU?: string): Observable<Group[]>;
    getDistinctUserAttributeValues(attributeName: string): Observable<any[]>;
    getDepartments(): Observable<string[]>;
    getTitles(): Observable<string[]>;
    getComputers(includeDisabled?: boolean, parentOU?: string): Observable<User[]>;
    getServers(includeDisabled?: boolean, parentOU?: string): Observable<User[]>;
    getWorkstations(includeDisabled?: boolean, parentOU?: string): Observable<User[]>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ActiveDirectoryService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ActiveDirectoryService>;
}
