import { EventEmitter } from '@angular/core';
import { MatTableDataSource } from '@angular/material/table';
import { MatPaginator } from '@angular/material/paginator';
import { MatSort } from '@angular/material/sort';
import { TableColumn } from '../../model/table-column';
import * as i0 from "@angular/core";
export declare class TableComponent {
    title: string;
    tableData: any[];
    columns: TableColumn[];
    showPaginator: boolean;
    showSearch: boolean;
    maxTableHeight: string;
    shrinkTableRowHeight: boolean;
    paginatorSticky: boolean;
    isMobile: boolean;
    buttonClicked: EventEmitter<{
        rowData: any;
        field: string;
    }>;
    dataSource: MatTableDataSource<any, MatPaginator>;
    pageSizeOptions: number[];
    get columnNames(): string[];
    private paginator;
    private sort;
    set matSort(ms: MatSort);
    set matPaginator(mp: MatPaginator);
    constructor();
    ngOnInit(): void;
    searchFilterChange(event: Event): void;
    buttonClick(rowData: any, field: string): void;
    getNestedFieldValue(rowData: any, nestedFieldName: string | undefined): any;
    private setTablePageSizeOptions;
    static ɵfac: i0.ɵɵFactoryDeclaration<TableComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TableComponent, "lib-table", never, { "title": { "alias": "title"; "required": false; }; "tableData": { "alias": "tableData"; "required": false; }; "columns": { "alias": "columns"; "required": false; }; "showPaginator": { "alias": "showPaginator"; "required": false; }; "showSearch": { "alias": "showSearch"; "required": false; }; "maxTableHeight": { "alias": "maxTableHeight"; "required": false; }; "shrinkTableRowHeight": { "alias": "shrinkTableRowHeight"; "required": false; }; "paginatorSticky": { "alias": "paginatorSticky"; "required": false; }; }, { "buttonClicked": "buttonClicked"; }, never, never, false, never>;
}
